Missing symbol display (just) outside map canvas extent

2015-04-20 05:18 AM - Joseph Krienert

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 20728

Description

Excerpted from a recent posting on GIS-StackExchange [[

http://gis.stackexchange.com/questions/143148/displaying-symbology-outside-map-canvas-window-extent?noredirect=1#comment207

82_143148]]:

Say we have equally distributed x,y mesh vector file. Each coordinate has a map-unit based diameter circle symbology. If we zoom into a

region of the map canvas far enough, some centroids exist outside of the map canvas view, thus they will not be displayed.

Is there any (pyqgis) means to set a buffer surrounding the map canvas extents equal to the map-circle symbol diameters to prevent

border coordinates from being omitted from render? 

Or as someone noted on the GIS-StackExchange; might this be a Bug in the latest release (2.8.1)?

History

#1 - 2015-04-20 12:04 PM - Giovanni Manghi

- Subject changed from Missing symbol display (just) outside map canvas extent? to Missing symbol display (just) outside map canvas extent

- OS version deleted (7 Prof.)

- Operating System deleted (Windows)

- Target version deleted (Version 2.8.1)

- Category changed from Browser to Map Canvas

I confirm this also on qgis master. Not sure it was an issue also in releases before 2.8.1.

#2 - 2017-05-01 01:07 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2019-03-09 03:12 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
